Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DORGHR

    java.lang.Object
      org.netlib.lapack.DORGHR

    public class DORGHR

extends java.lang.Object

    DORGHR is a simplified interface to the JLAPACK routine dorghr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DORGHR generates a real orthogonal matrix Q which is defined as the
     *  product of IHI-ILO elementary reflectors of order N, as returned by
     *  DGEHRD:
     *
     *  Q = H(ilo) H(ilo+1) . . . H(ihi-1).
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix Q. N >= 0.
     *
     *  ILO     (input) INTEGER
     *  IHI     (input) INTEGER
     *          ILO and IHI must have the same values as in the previous call
     *          of DGEHRD. Q is equal to the unit matrix except in the
     *          submatrix Q(ilo+1:ihi,ilo+1:ihi).
     *          1 <= ILO <= IHI <= N, if N > 0; ILO=1 and IHI=0, if N=0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the vectors which define the elementary reflectors,
     *          as returned by DGEHRD.
     *          On exit, the N-by-N orthogonal matrix Q.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,N).
     *
     *  TAU     (input) DOUBLE PRECISION array, dimension (N-1)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by DGEHRD.
     *
     *  WORK    (workspace/output) DOUBLE PRECISION array, dimension (MAX(1,L
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK. LWORK >= IHI-ILO.
     *          For optimum performance LWORK >= (IHI-ILO)*NB, where NB is
     *          the optimal blocksize.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DORGHR()`

Method Summary
`static void` | `DORGHR(int n, int ilo, int ihi, double[][] a, double[] tau, double[] work, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DORGHR

    public DORGHR()

Method Detail

### DORGHR

    public static void DORGHR(int n,
                              int ilo,
                              int ihi,
                              double[][] a,
                              double[] tau,
                              double[] work,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD